Bug 843327 - mysql-workbench: "terminate called after throwing an instance of 'Glib::FileError'"
mysql-workbench: "terminate called after throwing an instance of 'Glib::FileE...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 23:42 EDT by Torsten Rohlfing
Modified: 2012-12-16 15:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 08:52:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Torsten Rohlfing 2012-07-25 23:42:58 EDT
Description of problem:

mysql-workbench crashes upon start. splash screen blinks up briefly, but no gui ever appears.

Version-Release number of selected component (if applicable):

mysql-workbench-5.2.40-1.fc17.x86_64

How reproducible:

always

Steps to Reproduce:
1. run "mysql-workbench" from command line
  
Actual results:

** Message: Gnome keyring daemon seems to not be available. Stored passwords will be lost once quit
terminate called after throwing an instance of 'Glib::FileError'


Expected results:

gui appears

Additional info:

Not sure this is related, but according to strace, the binary tries to load dynamic libraries immediately prior to terminating, but cannot find them:

stat("//lib64/mysql-workbench/libcairo.so.2", 0x7fffb375a900) = -1 ENOENT (No such file or directory)
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat("//lib64/mysql-workbench/libpixman-1.so.0", 0x7fffb375a900) = -1 ENOENT (No such file or directory)
Comment 1 Remi Collet 2012-09-12 08:52:43 EDT
mysql-workbench-5.2.42-2 has been pushed to the Fedora stable repository.
Comment 2 Thiébaud Weksteen 2012-09-16 20:26:15 EDT
The version 5.2.42 does not seem to have resolved this issue.

$ rpm -qv mysql-workbench
mysql-workbench-5.2.42-2.fc17.x86_64

$ mysql-workbench 
Initializing AdvancedSidebar factory method
Initializing mforms factory
** Message: Gnome keyring daemon seems to not be available. Stored 
Creating WBOptions
Exception in logger: Could not create directory /home/xxx/.mysql/
terminate called after throwing an instance of 'Glib::FileError'
Comment 3 Levan 2012-12-16 15:28:11 EST
[levani@levglonti ~]$ rpm -qi mysql-workbench | grep -i version
Version     : 5.2.44
[levani@levglonti ~]$ mysql-workbench 
Initializing AdvancedSidebar factory method
Initializing mforms factory
Creating WBOptions
terminate called after throwing an instance of 'Glib::FileError'
[levani@levglonti ~]$

Note You need to log in before you can comment on or make changes to this bug.